IRCD(8)

NAME
ircd - The Internet Relay Chat Program Server

SYNOPSIS

ircd
    [-dlinefile filename] [-configfile filename] [-klinefile filename] [-logfile filename] [-pidfile filename] [-resvfile filename] [-xlinefile filename] [-conftest] [-foreground] [-version]

DESCRIPTION

ircd is the server (daemon) program for the Internet Relay Chat Program. The ircd is a server in that its function is to "serve" the client program irc(1) with messages and commands. All commands and user messages are passed directly to the ircd for processing and relaying to other ircd sites.

OPTIONS

-dlinefile filename
    Specifies the D-line file to be used. This file is used for both reading D-lines at startup, and writing to while ircd is running.

-configfile filename
    Specifies the ircd.conf file to be used for this ircdaemon. The option is used to override the default ircd.conf given at compile time.

-klinefile filename
    Specifies the K-line file to be used. This file is used for both reading K-lines at startup, and writing to while ircd is running.

-logfile filename
    Specifies an alternative logfile to be used than that specified in config.h

-pidfile filename
    Specifies the ircd.pid used. The option is used to override the default ircd.pid given at compile time.

-resvfile filename
    Specifies the resv.conf file to be used for this ircdaemon. The option is used to override the default resv.conf given at compile time.

-xlinefile filename
    Specifies the xline.conf file to be used for this ircdaemon. The option is used to override the default xline.conf given at compile time.

-conftest
    Makes ircd check the ircd.conf for errors

-foreground
    Makes ircd run in the foreground

-version
    Makes ircd print its version, and exit.

USAGE
If you plan to connect your ircd server to an existing Irc-Network, you will need to alter your local IRC configuration file (typically named "ircd.conf") so that it will accept and make connections to other ircd servers. This file contains the hostnames, Network Addresses, and sometimes passwords for connections to other ircds around the world. Because description of the actual file format of the "ircd.conf" file is beyond the scope of this document, please refer to the file INSTALL in the IRC source files documentation directory.

BOOTING THE SERVER
The ircd server can be started as part of the Unix boot procedure or just by placing the server into Unix Background. Keep in mind that if it is not part of your Unix's boot-up procedure then you will have to manually start the ircd server each time your Unix is rebooted. This means if your Unix is prone to crashing or going for for repairs a lot it would make sense to start the ircd server as part of your UNIX bootup procedure.

EXAMPLE
    tolsun% bin/ircd

Places ircd into Unix background and starts up the server for use. Note: You do not have to add the "&" to this command, the program will automatically detach itself from tty.
    leguin% bin/ircd -foreground

Runs ircd in the foreground.

COPYRIGHT
(c) 1988,1989 University of Oulu, Computing Center, Finland,

(c) 1988,1989 Department of Information Processing Science, University of Oulu, Finland

(c) 1988,1989,1990,1991 Jarkko Oikarinen

(c) 1997,1998,1999,2000,2001 The IRCD-Hybrid project.

For full COPYRIGHT see LICENSE file with IRC package.

FILES
 "ircd.conf"

SEE ALSO
ircd.conf(5)

BUGS
None... ;-) if somebody finds one, please inform author

AUTHOR
irc2.8 and earlier: Jarkko Oikarinen, currently jto@tolsun.oulu.fi.

ircd-hybrid-7: IRCD-Hybrid Project, ircd-hybrid@the-project.org.

manual page written by Jeff Trim, jtrim@orion.cair.du.edu, later modified by jto@tolsun.oulu.fi.

modified for ircd-hybrid-7 by Edward Brocklesby, ejb@klamath.uucp.leguin.org.uk.

updated by W. Campbell, wcampbel@botbay.net